%global debug_package %{nil}
Name:           python3-orderly_set
Version:        5.2.2
Release:        2%{?dist}
Summary:        Multiple implementations of Ordered Set
BuildArch:      noarch

License:        MIT
URL:            https://github.com/seperman/orderly-set
Source0:        orderly_set-%{version}.tar.gz

BuildRequires:  python3-devel python3-setuptools

%description
Orderly Set is a package containing multiple implementations of Ordered Set

%prep
%autosetup -n orderly_set-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
#{python3_sitearch}/*
%{python3_sitelib}/*

%changelog
* Fri Jun 13 2025 Bruno Postle <bruno@postle.net> - 5.2.2-2
- Rebuild for python 3.14

* Sun Sep 01 2024 Bruno Postle <bruno@postle.net> - 5.2.2-1
- initial package
